%define module	IPC-Run3
%define name	perl-%{module}
%define version 0.030
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Run a subprocess in batch mode (a la system)
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}


%description
IPC::Run3 allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed. 

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided. 

%prep
%setup -q -n %{module}-%{version}
perl -pi -e 's#/usr/local/bin/#%{_bindir}/#' bin/run3profpp

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}/%{_bindir}
cp bin/* %{buildroot}/%{_bindir}
chmod 0755 %{buildroot}/%{_bindir}/*

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/IPC
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.030-1mdk
- version
- fix source url
- don't ship empty directories
- make test in %%check

* Mon Jul 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.020-1mdk
- 0.020

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.01-2mdk
- rebuild for new perl

* Tue Aug 03 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.01-1mdk
- 0.01

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 0.009-1mdk
- New release 0.009

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.01-3mdk 
- really fix Requires 

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.01-2mdk 
- fix Requires

* Wed Apr 28 2004 Michael Scherer <misc@mandrake.org> 0.01-1mdk
- first release, based on perl-IPC-Run 
